[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Google
  Web www.spinics.net

ERROR with rpm_check_debug vs depsolve



I had an error doing a yum update (using version yum-3.2.25-1.fc12 )

 I got this error to report at the address below, but I couldn't find a link to add it there.
 (I didn't spend too long trying though)

 yum --noplugins update
 ...long list of downloads (including the newer yum)
 ...then..
Total                                                             8.9 MB/s | 739 MB     01:22
 warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 signature: NOKEY, key ID 57bbccba
updates/gpgkey                                                             | 3.2 kB     00:00 ...
Importing GPG key 0x57BBCCBA "Fedora (12) <fedora@xxxxxxxxxxxxxxxxx>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-x86_64
Is this ok [y/N]: y
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
 kernel-uname-r = 2.6.31.12-174.2.3.fc12.x86_64 is needed by (installed)
 kmod-nvidia-2.6.31.12-174.2.3.fc12.x86_64-190.53-1.fc12.1.x86_64
 kernel-uname-r = 2.6.31.12-174.2.19.fc12.x86_64 is needed by (installed)
 kmod-nvidia-2.6.31.12-174.2.19.fc12.x86_64-190.53-1.fc12.4.x86_64
 Complete!
 (1, [u'Please report this error in http://yum.baseurl.org/report'])


 To fix it I do the following
 yum erase kmod-nvidia-2.6.31.12-174.2.3.fc12.x86_64-190.53-1.fc12.1.x86_64
 kmod-nvidia-2.6.31.12-174.2.19.fc12.x86_64-190.53-1.fc12.4.x86_64

 which deletes two old version of the nvidia driver.
 then run a yum update again and it all works.

At the suggestion of Seth, I have run
      > The issue is that you have kernel modules installed and you're removing
      > the older kernel due to an update. Those kernel modules are not being
      > removed.
      > Here's something you can test for me, though:
      > yum -d 5 remove kernel-2.6.31.12-174.2.3.fc12.x86_64

# yum -d 5 remove kernel-2.6.31.12-174.2.3.fc12.x86_64
Not loading "blacklist" plugin, as it is disabled
Not loading "whiteout" plugin, as it is disabled
Loaded plugins: auto-update-debuginfo, presto, refresh-packagekit, security
Config time: 0.043
Yum Version: 3.2.25
rpmdb time: 0.043
Setting up Remove Process
No Match for argument: kernel-2.6.31.12-174.2.3.fc12.x86_64
Setting up Package Sacks
pkgsack time: 0.495
No Packages marked for removal
#


I have the workaround... but mention this in case something
needs fixing...I have quite a few machines in this state, so
I can test anything people suggest..

Cheers
Pete

----------------------------------------------------------
Peter Glassenbury            Computer Science department
pete@xxxxxxxxxxxxxxxxxxxxx        University of Canterbury
+64 3 3642987 ext 7762            New Zealand 
_______________________________________________
Yum mailing list
Yum@xxxxxxxxxxxxxxxxx
http://lists.baseurl.org/mailman/listinfo/yum


[Home]     [Fedora Users]     [Fedora Legacy List]     [Fedora Maintainers]     [Fedora Desktop]     [Red Hat 9 Bible]     [Fedora Bible]     [Fedora SELinux]     [Big List of Linux Books]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]

Powered by Linux

Google
  Web www.spinics.net